#ifndef CIETER_PACKAGE
#define CIETER_PACKAGE

#include <stdint.h>
#include <stdbool.h>
#include <string.h>
#include <stdlib.h>

#include "archive.h"
#include "archive_entry.h"

#include "cieter_package_info.h"
#include "cieter_dynarray.h"

typedef struct pkg {
	char *path;
	CieterPkgInfo *info;
	CieterDynArray *files;
	int compression;
} CieterPkg;

CieterPkg *package_read_archive(const char *pkg_path);
void package_free(CieterPkg ** ptp);
char *package_to_description(CieterPkg *pkg);

#endif
