#ifndef CIETER_PACKAGE_INFO
#define CIETER_PACKAGE_INFO

#define FREE_STRING(sp) if (sp != NULL) free(sp)

#include <stdint.h>

#include "cieter_dynarray.h"

typedef struct pkg_info {
	char *name;
	char *base;
	char *version;
	char *description;
	int64_t size;
	int64_t csize;
	char *url;
	char *arch;
	int64_t build_date;
	char *packager;
	char *pgpsig;
	int64_t pgpsigsize;

	CieterDynArray *groups;
	CieterDynArray *licenses;
	CieterDynArray *replaces;
	CieterDynArray *depends;
	CieterDynArray *conflicts;
	CieterDynArray *provides;
	CieterDynArray *optdepends;
	CieterDynArray *makedepends;
	CieterDynArray *checkdepends;
} CieterPkgInfo;

CieterPkgInfo *package_info_init();
int package_info_parse(CieterPkgInfo *pkg_info, char *pkg_info_str);
void package_info_free(CieterPkgInfo *pkg_info);

#endif
